
import {
  Component,
  ElementRef,
  OnDestroy,
  OnInit,
  ViewChild,
  ViewEncapsulation
} from '@angular/core';
import { fuseAnimations } from 'src/@fuse/animations';
import { BehaviorSubject, fromEvent, merge, Observable, Subject } from 'rxjs';

@Component({
  selector: 'app-user-connect',
  templateUrl: './user-connect.component.html',
  styleUrls: ['./user-connect.component.scss'],
  animations: fuseAnimations,
  encapsulation: ViewEncapsulation.None
})
export class UserConnectComponent implements OnInit, OnDestroy {

  private _unsubscribeAll: Subject<any>;

  /**
   * Constructor
   */
  constructor(

  ) {

    // Set the private defaults
    this._unsubscribeAll = new Subject();
  }

  ngOnInit() {
  }

  ngOnDestroy(): void {
    // Unsubscribe from all subscriptions
    this._unsubscribeAll.next();
    this._unsubscribeAll.complete();
  }
}
